
    
              max_current = max(data(:,1));  % finds the max current 
              
              %for i = 4:60
                  
                 % if max_curren t >= max(data(i,2);
                      
                      
                 % else max_current;
                      
                  % end  
                  
              max_voltage = max(data(:,2));  % finds the max voltage 
               
              
          disp('Power Measurement.');   
          %disp('.\n');
          disp('This programs searches through the data and stores');
          disp('the maximum value of the voltage and current signal.');
          disp('Equation used, P = Vrms*Irms*Powerfactor.');
          
          plot(data(:,1))
          xlabel('time/e-4')
          ylabel('Current/Amps,Voltage/Volts')
          grid on 
          
          hold on % keeps the current graph 
          
          plot(data(:,2),'red')
          hold off
          
          % Power factor measurement
          % Here the zero crossing of the two signals are found 
          % then the phase angle between the two is calculated 
          
         
          current_signal = data(:,1);                       % creates a column of the current values
          
          zero_current = find(current_signal==0)     % finds the times at which the current is zero
                                                            % actually the volatge is below the 0.9 mark
                                                       
          voltage_signal = data(:,2);                        % creates a column of the voltage values
          zero_voltage = find(voltage_signal==0);      % finds the times at which the voltage is zero 
          
          time_difference = abs(zero_current - zero_voltage);
          
          total_time = sum(time_difference);         % sums the total time difference between the two signal
          
          time = size(time_difference);                % gives the size of the matrix "time difference". This 
                                                       % is needed to work out the the average time
                                                         
          time_column_size = time(1,1);                 
          
          aver_td = total_time/time_column_size;       % averages the time difference       
          
     
          % Phase angle calculation 
          
          timeperiod = 1/50;                                    % cycle time of the input signals 
          phase_angle = (aver_td*0.0001*2*pi)/timeperiod;       % calculates the phase angle 
          
          pf = cos(phase_angle);                                 % power factor is the cosine of the phase difference
          
          
          % P = Vrms * Irms * pf
          
          P = (max_voltage * max_current*pf)/2;         % Power Measurement Equation 
          fprintf('The power, in watts, is %g.\n',P);
  
         